<p><a href="https://github.com/HACKERALERT/Picocrypt/blob/main/README.md">English</a> | <a href="/translations/french.md">Français</a> | <a href="/translations/spanish.md">Español</a> | <a href="/translations/german.md">Deutsch</a> | <a href="/translations/portuguese.md">Português</a> | <a href="/translations/turkish.md">Türkçe</a> | <a href="/translations/chinese.md">中文</a> | Русский | <a href="/translations/hungarian.md">Magyar</a> | <a href="/translations/italian.md">Italiano</a> | <a href="/translations/persian.md">پارسی</a></p>
<p align="center"><img align="center" src="https://i.imgur.com/yfrlPnL.png" width="512" alt="Picocrypt"></p> 

Picocrypt - маленькая (от слова *Pico*), простая, однако очень безопасная утилита, которую вы можете использовать для шифрования своих файлов, уничтожения файлов и много чего ещё. Она создана как *готовая* программа для шифрования, с упором на безопасность, простоту, и надёжность. Picocrypt использует безопасный шифр XChaCha20 и алгоритм получения ключа Argon2 для предоставления защиты высокого уровня, даже от трёхбуквенных организаций, таких как АНБ/ФСБ. Она создана для максимальной защиты, имея абсолютно никаких компромиссов с точки зрения безопасности, и создана с помощью стандартных и x/crypto модулей языка Go. **Ваша приватность и безопасность под угрозой. Верните её себе, благодаря защите ваших файлов с помощью Picocrypt.**

<p align="center"><img align="center" src="https://raw.githubusercontent.com/HACKERALERT/Picocrypt/main/images/screenshot.png" width="318" alt="Picocrypt"></p>

# Поддержка
Пожалуйста, поддержите Picocrypt на <a href="https://opencollective.com/picocrypt">Open Collective</a> (криптовалюта принимается), чтобы собрать средства на возможный аудит от Cure53. Поскольку я трачу на этот проект много времени и не получаю с него прибыли, я не могу заплатить за аудит сам. *Picocrypt нуждается в поддержке со стороны сообщества.*


# Загрузка
**Важно:** На просторах интернета есть старая, заброшенная программа под названием PicoCrypt, которая в последний раз обновлялась в 2005 году. PicoCrypt никак не связана с Picocrypt (этим проектом). Устанавливайте Picocrypt только с официального веб-сайта или этого репозитория, чтобы получить оригинальный, свободный от бэкдоров Picocrypt.


## Windows
Picocrypt для Windows прост настолько, насколько это возможно. Чтобы скачать последнюю, портативную версию для Windows, нажмите <a href="https://github.com/HACKERALERT/Picocrypt/releases/download/1.29/Picocrypt.exe">здесь</a>. Если Windows Defender или ваш антивирус помечает Picocrypt как вирус, пожалуйста, сделайте хорошее дело и сообщите об этом как о ложном срабатывании на благо всех пользователей.

## macOS
Picocrypt для macOS также очень прост. Скачайте Picocrypt <a href="https://github.com/HACKERALERT/Picocrypt/releases/download/1.29/Picocrypt.app.zip">здесь</a>, распакуйте zip-архив, и запустите Picocrypt, находящийся внутри. Если вам не удаётся открыть Picocrypt, потому что он не от проверенного разработчика, нажмите правую кнопку мыши и выберите "Открыть". Если вы продолжаете получать предупреждение, нажмите ПКМ, а затем "Открыть" снова и у вас должно получиться запустить Picocrypt.

## Linux
Snap-пакет доступен для Linux. Убедитесь, что у вас установлен [Snapcraft](https://snapcraft.io/)  (`sudo apt install snapd`) и установите Picocrypt: `sudo snap install picocrypt`.  В связи со сложностью компонентов и статичностью связывания, я не распространяю .deb или .rpm, потому что они были бы ненадежными и не стоили бы хлопот. Snapcraft автоматически управляет всеми компонентами, так что является рекомендованным способом запуска Picocrypt на любом Linux-дистрибутиве. Также Snapcraft обладает большей защитой и лучшей контейнеризацией, чем Flatpak и AppImage, что важно для таких шифровальных утилит как Picocrypt. Если вы предпочитаете не связываться с Canonical, помните, что создание своего билда всегда доступно.

Существует несколько способов использования Picocrypt в Linux. Рекомендуемый способ — установить Picocrypt из [.deb](https://github.com/HACKERALERT/Picocrypt/releases/download/1.29/Picocrypt.deb) (Debian 11+ и Ubuntu 20+). Если .deb не соответствует вашим потребностям или вы не используете дистрибутив на основе Debian, не стесняйтесь использовать [AppImage](https://github.com/HACKERALERT/Picocrypt/releases/download/1.29/Picocrypt.AppImage). Если ни один из вышеперечисленных вариантов не работает, вы можете установить Picocrypt из [Snapcraft](https://snapcraft.io/picocrypt), который должен работать на всех дистрибутивах.

## Набор параноика
Набор параноика - это сжатый архив, содержащий исполняемые файлы для каждой версии Picocrypt, когда-либо выпущенной для Windows, macOS и Linux. Пока он хранится в доступном месте, вы сможете открыть его и использовать любую версию Picocrypt в случае, если это хранилище таинственным образом исчезнет или весь Интернет сгорит. Думайте об этом как о хранилище "семян" для Picocrypt. Пока у одного человека есть этот набор, он может поделиться им с остальным миром и сохранить работоспособность Picocrypt в случае катастрофических событий, таких как внезапное закрытие GitHub или поимка меня АНБ (на всякий случай, понимаете?). Лучший способ обеспечить доступ к Picocrypt через много десятилетий - это хранить набор в надежном месте. Так что если вы беспокоитесь о том, что не сможете получить доступ к Picocrypt в будущем, то вот решение.

# Почему Picocrypt?
Почему вы должны использовать Picocrypt, а не BitLocker, NordLocker, VeraCrypt, AxCrypt или 7-Zip? Вот несколько причин:
<ul>
	<li>В отличие от NordLocker, BitLocker, AxCrypt и большинства облачных сервисов, Picocrypt и его составляющие имеют открытый исходный код. Вы можете сами убедиться в отсутствии каких-либо бэкдоров.</li>
	<li>Picocrypt <i>очень мал</i>. NordLocker весит больше 50MB, VeraCrypt - больше 20MB, Picocrypt же весит всего 2MB, примерно как изображение в хорошем качестве. И это ещё не всё: Picocrypt портативен (не требует установки) и не требует администраторских/root прав.</li>
	<li>Picocrypt проще и продуктивнее в использовании по сравнению с VeraCrypt. Чтобы зашифровать файлы с VeraCrypt, Вам нужно потратить как минимум пять минут на настройку тома. С простым интерфейсом Picocrypt всё что вам нужно сделать: перетащить Ваши файлы в окно программы, ввести пароль и нажать Start. Все сложные процедуры Picocrypt берёт на себя. Кто сказал что шифрование не может быть таким простым?</li>
	<li>Picocrypt создан для защиты. 7-Zip - архиватор, а не шифровальная утилита, значит фокусируется не на безопасности. Picocrypt же создан для максимальной защиты. Каждая часть Picocrypt для чего-то нужна, всё что может повлиять на безопасность Picocrypt удалено. Picocrypt создан с помощью криптографии, которой можно доверять.</li>
	<li>Picocrypt аутентифицирует данные в дополнение к их защите, предотвращая изменение важных данных хакерами. Это полезно, когда вы отправляете зашифрованные данные через небезопасный канал связи и хотите убедиться, что файлы не будут тронуты.</li>
	<li>Picocrypt активно защищает зашифрованные данные заголовка, благодаря добавлению байтов чётности Reed-Solomon, как если бы часть заголовка тома (которая содержит важные криптографические компоненты) была повреждена, Picocrypt всё ещё может восстановить заголовок и расшифровать данные. Picocrypt также может шифровать весь том с помощью Reed-Solomon для предотвращения повреждения ваших важных файлов.</li>
</ul>


# Сравнение
Вот как Picocrypt сравнивается с другими популярными инструментами шифрования.

|                | Picocrypt      | VeraCrypt      | 7-Zip (GUI)    | BitLocker      | Cryptomator    | NordLocker     | AxCrypt        |
| -------------- | ------------ | ------------ | -------------- | ----------- | ----------- | ------------ | ------------ |
| Бесплатен | ✅ Да |✅ Да |✅ Да |🟧 Частично |✅ Да |🟧 Частично |🟧 Частично |
| Открытый исходный код | ✅ GPLv3 | ✅ Multi | ✅ LGPL |❌ Нет | ✅ GPLv3 | ❌ Нет |❌Нет |
| Кроссплатформенность | ✅ Да |✅ Да |❌ Нет|❌ Нет |✅ Да |❌ Нет |❌ Нет  |
| Размер | ✅ 2MB | ❌ 20MB |✅ 2MB |✅ Изменяемый | ❌ 50MB | ❌ 60MB  |🟧 8MB |
| Портабельный |✅ Да |✅ Yes  |❌ Нет  |✅ Да |❌ Нет  |❌ Нет  |✅ Да |
| Требуемые права  |✅ Отсутствуют  |❌ Админ  |❌ Админ  |❌ Админ |❌ Админ  |❌ Админ  |❌ Админ   |
| Простота использования  |✅ Просто  |❌ Сложно   |✅ Просто |🟧 Средне   |🟧 Средне  |🟧 Средне  |✅ Просто  |
| Шифр | ✅ XChaCha20 | ✅ AES-256  | ✅ AES-256  | 🟧 AES-128 | ✅ AES-256 | ✅ AES-256  |🟧 AES-128 |
| Алгоритм |✅ Argon2  |🆗 PBKDF2  |❌ SHA256  |❓ Неизвестен  |✅ Scrypt   |✅ Argon2   |🆗 PBKDF2   |
| Целостность данных |✅ Всегда  |❌ Нет   |❌ Нет  |❓ Неизвестно |✅ Всегда    |✅ Всегда    |✅ Всегда  |
| Исправление данных |✅ Да   |❌ Нет  |❌ Нет   |❌ Нет  |❌ Нет   |❌ Нет   |❌ Нет      |
| Сжатие    |✅ Да   |❌ Нет     |✅ Да     |✅ Да   |❌ Нет   |❌ Нет   |✅ Yes |
| Телеметрия      |✅ Нет   |✅ Нет |✅ Нет    |❓ Неизвестно   |✅ Нет |❌ Аналитика    |❌ Аккаунты  |
| Аудит        |🟧 В планах     |✅ Да    |❌ Нет    |❓ Неизвестно    |✅ Да   |❓ Неизвестно   |❌ Нет   |

# Особенности
Picocrypt  - простая программа, большинство пользователей смогут понять как её использовать за пару секунд. На базовом уровне: перетаскивание файлов, ввод пароля и нажатие "Старт" - всё, что вам нужно для шифрования ваших файлов. Просто, не так ли?

Будучи простым, Picocrypt также стремится быть мощным в руках знающих, продвинутых пользователей. Итак, вот несколько функций, которые вы можете использовать для своих нужд.
<ul>
	<li><strong>Генератор паролей</strong>: Picocrypt предоставляет безопасный генератор паролей, который вы можете использовать для создания криптографически защищённых паролей. Вы можете менять длину пароля, а также символы, которые будут в него входить.</li>
	<li><strong>Комментарии</strong>: Используете их для хранения заметок и информации вместе с файлами (метаданные не шифруются). Например, вы можете добавить описание файла, прежде чем отправлять его кому-либо. Когда получатель перетащит файл в Picocrypt, он увидит описание.</li>
	<li><strong>Ключевые файлы</strong>: Picocrypt поддерживает использование ключевых файлов как дополнительный (или единственный) вид аутентификации. Вы можете не только использовать несколько ключевых файлов, но и требовать определённый порядок этих файлов для успешной расшифровки. Особенно хороший пример использования ключевых файлов - создание общего тома, где каждый человек имеет ключевой файл, и все они должны быть предоставлены для расшифровки общего тома.</li>
	<li><strong>Режим паранойи</strong>: При использовании этого режима ваши данные будут шифроваться с помощью XChaCha20 и Serpent каскадным способом, а для аутентификации данных будет использоваться HMAC-SHA3 вместо BLAKE2b. Это рекомендуется для защиты сверхсекретных файлов и обеспечивает наивысший достижимый уровень безопасности. Чтобы хакер взломал ваши зашифрованные данные, необходимо взломать как шифр XChaCha20, так и Serpent, при условии, что вы выбрали хороший пароль.</li>
	<li><strong>Предотвращение повреждения с помощью Reed-Solomon</strong>: Эта функция очень полезна, если вы планируете архивировать важные данные у облачного провайдера или на внешнем носителе на большой период времени. После проверки Picocrypt использует код корректировки ошибок Reed-Solomon для добавления 8 дополнительных байтов к каждым 128 байтам для предотвращения повреждения файлов. Это означает, что ~3% ваших файлов могут быть повреждены и Picocrypt сможет исправить ошибки и расшифровать ваши файлы без повреждений. Конечно, если ваши файлы повредятся очень сильно (например, вы уронили ваш жёсткий диск), Picocrypt не сможет восстановить ваши файлы, но изо всех сил постарается это сделать. Заметьте, что данная функция может значительно замедлить шифрование/расшифрование.</li>
	<li><strong>Сохраняйте расшифрованные выходные данные, даже если они повреждены или изменены</strong>: Picocrypt автоматически проверяет целостность файлов при расшифровке. Если файл модифицирован или был повреждён, Picocrypt автоматически удалит выходные данные для безопасности пользователя. Если вы хотите оставить модифицированные или повреждённые данные после расшифровки, поставьте галочку рядом с этой опцией. Также, если эта функция включена и функции Reed-Solomon были использованы при шифровании, Picocrypt постарается восстановить как можно больше при расшифровке.</li>
	<li><strong>Разделите файлы на фрагменты</strong>: Не хочется возиться с огромными файлами? Не беспокойтесь! С Picocrypt вы можете разделить зашифрованный файл на фрагменты произвольного размера, чтобы большие файлы стали более управляемыми и удобными для загрузки на облачные серверы. Просто выберите единицу измерения (КБ, МБ, ГБ или ТБ) и введите желаемый размер фрагмента для этой единицы. Чтобы расшифровать фрагменты, просто перетащите один из них в Picocrypt, и фрагменты будут автоматически рекомбинированы при расшифровке.
</ul>

# Защита
Для подробной информации на тему того как Picocrypt использует криптографию, смотрите раздел <a href="Internals.md">Internals</a>. Если вы волнуетесь за безопасность меня или этого проекта, знайте - этот репозиторий не будет взломан. Двухфакторная аутентификация (TOTP) включена на всех аккаунтах, связанных с Picocrypt (GitHub, Google, Reddit, Ubuntu One, Discord и т.д.), в дополнение к полному шифрованию моих устройств. Для большей защиты, Picocrypt использует мои "офлайн" форки компонентов и я выгружаю их только после всех изменений и проверки на безопасность. Это означает, что если какая-либо часть программы будет взломана или изменена хакером, Picocrypt будет использовать мой оффлайн-форк этой части и останется целым. Вы можете с уверенностью использовать Picocrypt.

# Сигнатуры
Для параноиков Picocrypt подписан с помощью PGP. Отпечаток пальца и открытый ключ приведены ниже.

<pre>B342A744BDEEA57B6A583E33A247E73798946F55</pre>
<pre>-----BEGIN PGP PUBLIC KEY BLOCK-----

mDMEYoGUHxYJKwYBBAHaRw8BAQdAvmQA+pdbDB/ynJxHhNDpz6Sb5tgkNuuNJIvw
HYwZtqi0CVBpY29jcnlwdIiTBBMWCgA7FiEEs0KnRL3upXtqWD4zokfnN5iUb1UF
AmKBlB8CGwMFCwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQokfnN5iUb1UZ
RgEA8jbIsdqCr21DWxcqW/eLlbxRkuA8kflVYvWWUxtVqsUA/jQPSDpvA8rakvaL
PIbXjQvrAMkEVIc0HbCzLxr1k3sH
=YFwz
-----END PGP PUBLIC KEY BLOCK-----</pre>

# Сообщество
Вот некоторые места, где вы можете следить за Picocrypt и стать вовлечённым в процесс разработки:
<ul>
	<li><a href="https://www.reddit.com/r/Picocrypt/">Reddit</a></li>
	<li><a href="https://discord.gg/8QM4A2caxH">Discord</a></li>
</ul>

Я особенно рекомендую вам присоединиться к сообществу на Reddit, поскольку все обновления и опросы размещаются там. Помните, что нужно доверять только этим соц. сетям и опасаться хакеров, которые могут выдавать себя за меня. Я никогда не буду просить Ваш пароль и предлагать скачать файл по каким-либо ссылкам. Любой, кто это сделает - не я!

# Звёзды GitHub
Как дела у Picocrypt? Посмотрите сюда.
![Stargazers Over Time](https://starchart.cc/HACKERALERT/Picocrypt.svg)

# Пожертвования
Если вы сочли Picocrypt полезным, пожалуйста, поддержите меня на <a href="https://paypal.me/evanyiwensu">PayPal</a>. Я предоставляю данное ПО абсолютно бесплатно и был бы счастлив, если бы проект поддерживали, тем самым мотивируя меня продолжать работу над Picocrypt.

# Благодарности
От всего сердца благодарю людей из Open Collective, которые внесли значительный вклад:
<ul>
	<li>YellowNight ($818)</li>
	<li>evelian ($50)</li>
	<li>jp26 ($50)</li>
	<li>guest-116103ad ($50)</li>
	<li>Tybbs ($10)</li>
	<li>N. Chin ($10)</li>
	<li>Manjot ($10)</li>
	<li>Phil P. ($10)</li>
	<li>donor39 (backer)</li>
	<li>Pokabu (backer)</li>
</ul>

Вы - люди, которые вдохновляете меня работать над Picocrypt и предоставлять его всем абсолютно бесплатно!

Также большое спасибо этим пяти людям, которые первыми поддержали Picocrypt:
<ul>
	<li>W.Graham</li>
	<li>N. Chin</li>
	<li>Manjot</li>
	<li>Phil P.</li>
	<li>E. Zahard</li>
</ul>

Также спасибо этим людям, кто помог перевести Picocrypt и сделать его более доступным миру:
<ul>
	<li>@umitseyhan75 перевод на Турецкий</li>
	<li>@digitalblossom & @Pokabu26 перевод на Немецкий</li>
	<li>@zeeaall перевод на Бразильский и Португальский</li>
	<li>@kurpau перевод на Литовский</li>
	<li>u/francirc перевод на Испанский</li>
	<li>yn перевод на Русский</li>
	<li>@Etim-Orb перевод на Венгерский</li>
	<li>@Minibus93 перевод на Итальянский</li>
	<li>Michel перевод на Французский</li>
	<li>@victorhck перевод на Испанский</li>
	<li>@ungespurv перевод на перевод</li>
</ul>

Наконец, спасибо этим людям за помощь, когда это было необходимо:
<ul>
	<li>Fuderal из Discord за помощь в настройке сервера в Discord</li>
	<li>u/greenreddits за постоянную обратную связь и поддержку</li>
	<li>u/Tall_Escape за помощь в тестировании Picocrypt</li>
	<li>u/NSABackdoors за большую часть тестирования</li>
	<li>@samuel-lucas6 за отзывы, предложения и поддержку</li>
	<li><a href="https://privacytools.io">PrivacyToolsIO</a> за включения в список Picocrypt</li>
	<li><a href="https://privacyguides.org">PrivacyGuides</a> за включения в список Picocrypt</li>
</ul>
